Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xssf.usermodel
Class XSSFConditionalFormattingRule

    java.lang.Object
      org.apache.poi.xssf.usermodel.XSSFConditionalFormattingRule

All Implemented Interfaces:
  org.apache.poi.ss.usermodel.ConditionalFormattingRule

    public class XSSFConditionalFormattingRule

extends java.lang.Object
implements org.apache.poi.ss.usermodel.ConditionalFormattingRule

Author:
  Yegor Kozlov

Field Summary

Fields inherited from interface org.apache.poi.ss.usermodel.ConditionalFormattingRule
`CONDITION_TYPE_CELL_VALUE_IS, CONDITION_TYPE_FORMULA`

Method Summary
`org.apache.poi.ss.usermodel.BorderFormatting` | `createBorderFormatting()` Create a new border formatting structure if it does not exist, otherwise just return existing object.
`org.apache.poi.ss.usermodel.FontFormatting` | `createFontFormatting()` Create a new font formatting structure if it does not exist, otherwise just return existing object.
`org.apache.poi.ss.usermodel.PatternFormatting` | `createPatternFormatting()` Create a new pattern formatting structure if it does not exist, otherwise just return existing object.
`org.apache.poi.ss.usermodel.BorderFormatting` | `getBorderFormatting()`
`byte` | `getComparisonOperation()` The comparison function used when the type of conditional formatting is set to `ConditionalFormattingRule.CONDITION_TYPE_CELL_VALUE_IS`
`byte` | `getConditionType()` Type of conditional formatting rule.
`org.apache.poi.ss.usermodel.FontFormatting` | `getFontFormatting()`
`java.lang.String` | `getFormula1()` The formula used to evaluate the first operand for the conditional formatting rule.
`java.lang.String` | `getFormula2()` The formula used to evaluate the second operand of the comparison when comparison type is `ConditionalFormattingRule.CONDITION_TYPE_CELL_VALUE_IS` and operator is either `ComparisonOperator.BETWEEN` or `ComparisonOperator.NOT_BETWEEN`
`org.apache.poi.ss.usermodel.PatternFormatting` | `getPatternFormatting()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createBorderFormatting

    public org.apache.poi.ss.usermodel.BorderFormatting createBorderFormatting()

  Create a new border formatting structure if it does not exist, otherwise just return existing object.

  Specified by:
    `createBorderFormatting` in interface `org.apache.poi.ss.usermodel.ConditionalFormattingRule`
  Returns:
    - border formatting object, never returns `null`.

### getBorderFormatting

    public org.apache.poi.ss.usermodel.BorderFormatting getBorderFormatting()

  Specified by:
    `getBorderFormatting` in interface `org.apache.poi.ss.usermodel.ConditionalFormattingRule`
  Returns:
    - border formatting object if defined, `null` otherwise

### createFontFormatting

    public org.apache.poi.ss.usermodel.FontFormatting createFontFormatting()

  Create a new font formatting structure if it does not exist, otherwise just return existing object.

  Specified by:
    `createFontFormatting` in interface `org.apache.poi.ss.usermodel.ConditionalFormattingRule`
  Returns:
    - font formatting object, never returns `null`.

### getFontFormatting

    public org.apache.poi.ss.usermodel.FontFormatting getFontFormatting()

  Specified by:
    `getFontFormatting` in interface `org.apache.poi.ss.usermodel.ConditionalFormattingRule`
  Returns:
    - font formatting object if defined, `null` otherwise

### createPatternFormatting

    public org.apache.poi.ss.usermodel.PatternFormatting createPatternFormatting()

  Create a new pattern formatting structure if it does not exist, otherwise just return existing object.

  Specified by:
    `createPatternFormatting` in interface `org.apache.poi.ss.usermodel.ConditionalFormattingRule`
  Returns:
    - pattern formatting object, never returns `null`.

### getPatternFormatting

    public org.apache.poi.ss.usermodel.PatternFormatting getPatternFormatting()

  Specified by:
    `getPatternFormatting` in interface `org.apache.poi.ss.usermodel.ConditionalFormattingRule`
  Returns:
    - pattern formatting object if defined, `null` otherwise

### getConditionType

    public byte getConditionType()

  Type of conditional formatting rule.

  MUST be either `ConditionalFormattingRule.CONDITION_TYPE_CELL_VALUE_IS` or `ConditionalFormattingRule.CONDITION_TYPE_FORMULA`

  Specified by:
    `getConditionType` in interface `org.apache.poi.ss.usermodel.ConditionalFormattingRule`
  Returns:
    the type of condition

### getComparisonOperation

    public byte getComparisonOperation()

  The comparison function used when the type of conditional formatting is set to `ConditionalFormattingRule.CONDITION_TYPE_CELL_VALUE_IS`

  MUST be a constant from `ComparisonOperator`

  Specified by:
    `getComparisonOperation` in interface `org.apache.poi.ss.usermodel.ConditionalFormattingRule`
  Returns:
    the conditional format operator

### getFormula1

    public java.lang.String getFormula1()

  The formula used to evaluate the first operand for the conditional formatting rule.

  If the condition type is `ConditionalFormattingRule.CONDITION_TYPE_CELL_VALUE_IS`, this field is the first operand of the comparison. If type is `ConditionalFormattingRule.CONDITION_TYPE_FORMULA`, this formula is used to determine if the conditional formatting is applied.

  If comparison type is `ConditionalFormattingRule.CONDITION_TYPE_FORMULA` the formula MUST be a Boolean function

  Specified by:
    `getFormula1` in interface `org.apache.poi.ss.usermodel.ConditionalFormattingRule`
  Returns:
    the first formula

### getFormula2

    public java.lang.String getFormula2()

  The formula used to evaluate the second operand of the comparison when comparison type is `ConditionalFormattingRule.CONDITION_TYPE_CELL_VALUE_IS` and operator is either `ComparisonOperator.BETWEEN` or `ComparisonOperator.NOT_BETWEEN`

  Specified by:
    `getFormula2` in interface `org.apache.poi.ss.usermodel.ConditionalFormattingRule`
  Returns:
    the second formula

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD